import java.util.*;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class satici_gen_test3
{
public static void main(String arg[])
{  double x[]={0.0,2.0,1.0,2.0,0.0,1.0,2.0,0.0,1.0};
   double y[]={0.0,2.0,0.0,0.0,1.0,1.0,1.0,2.0,2.0};
   int a[]={0,1,4,3,2,5,6};
   satici_gen x1=new satici_gen(a,x,y);
   int b[]={5,0,6,1,2,4,3};
   satici_gen x2=new satici_gen(b,x,y);
   System.out.println(x1.toString());
   System.out.println(x2.toString());
   satici_gen cocuk=new satici_gen(x1,x2);
   System.out.println(cocuk.toString());
   cocuk.mutate();
   System.out.println(cocuk.toString());
}
}